# -*- coding: utf-8 -*-
#
# Command for memo
#
# Copyright(C) 2005-, Atzm WATANABE <sitosito@p.chan.ne.jp>
#
# $Id: $

from supermemo import SuperMemo

class command_memo(SuperMemo):
	def __init__(self, config):
		"""
		Memo processes are:
			Analyze term:
				1. split command line args (SuperCommand scheduled)
				2. append prefix to title (SuperCommand defined)
			Modify term:
				1. load rss for parallel process (SuperCommand scheduled)
				2. add args as item to rss object (SuperCommand defined)
			Write term:
				1. write out to rss file (SuperCommand defined)
				2. write out to html file (SuperCommand defined)
				(3. notice after write term (SuperCommand defined) )
		"""
		SuperMemo.__init__(self, config, url=1, title=2, description=3)
